edu.isi.pegasus.planner.catalog.transformation.client

## Class TCAdd

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.client.Client
  - - edu.isi.pegasus.planner.catalog.transformation.client.TCAdd

    public class TCAdd
    extends Client

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.catalog.transformation.client.Client

`file, isoldformat, isxml, lfn, mLogger, name, namespace, pfn, profile, profiles, resource, system, systemstring, tc, trigger, type, version`

### Constructor Summary

Constructors
Constructor and Description
`TCAdd(TransformationCatalog tc, LogManager mLogger, java.util.Map argsmap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`private boolean` `addBulk()` Adds multiple entries into the TC.
`private boolean` `addEntry()` Adds a single entry into the TC.
`void` `doAdds()`

### Methods inherited from class edu.isi.pegasus.planner.catalog.transformation.client.Client

`convertException, fillArgs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TCAdd

    public TCAdd(TransformationCatalog tc,
                 LogManager mLogger,
                 java.util.Map argsmap)

### Method Detail

#### doAdds

    public void doAdds()

#### addEntry

    private boolean addEntry()
                      throws java.lang.Exception

Adds a single entry into the TC.

Returns:
  boolean
Throws:
  `java.lang.Exception`

#### addBulk

    private boolean addBulk()

Adds multiple entries into the TC. Calls the above api multiple times.

Returns:
  boolean